
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>剑指offer系列之五：用两个栈实现队列 / iVAN</title>

    <meta name="description" content="剑指offer系列之五：用两个栈实现队列 题目描述 用两个栈来实现一个队列,完成队列的Push和Pop操作. 队列中的元素为int类型. 栈的特点是先进后出,而队列的特点是先进先出.题目中提到使用两个栈实现队列,好像有戏.现在问题是如何把栈的出栈和入栈与队列的入队和出队联系起来?因为现在只有栈,所以在实现的队列中,只能先往栈中添加元素,这点比较好理解:那么出队呢,由于先进去的元素被压在栈底,而如果是队列的话,必须是栈底的那个元素先出队.现在可以使用第二个栈,思路是把原先第一个栈中的元素出栈,并压入第二个栈中,观察第二个栈,就可以发现:在">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">剑指offer系列之五：用两个栈实现队列</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>题目描述</p>
<p>用两个栈来实现一个队列，完成队列的Push和Pop操作。 队列中的元素为int类型。</p>
<p>栈的特点是先进后出，而队列的特点是先进先出。题目中提到使用两个栈实现队列，好像有戏。现在问题是如何把栈的出栈和入栈与队列的入队和出队联系起来？因为现在只有栈，所以在实现的队列中，只能先往栈中添加元素，这点比较好理解；那么出队呢，由于先进去的元素被压在栈底，而如果是队列的话，必须是栈底的那个元素先出队。现在可以使用第二个栈，思路是把原先第一个栈中的元素出栈，并压入第二个栈中，观察第二个栈，就可以发现：在第二个栈中的元素顺序与正常队列出队的顺序是一致的了。所以这样，问题就解决了。</p>
<p>下面是在牛客AC的代码：</p>
<pre><code>package com.rhwayfun.offer;

import java.util.Stack;

public class CreateQueueWithStacks {

    Stack&lt;Integer&gt; stack1 = new Stack&lt;Integer&gt;();
    Stack&lt;Integer&gt; stack2 = new Stack&lt;Integer&gt;();

    public void push(int node) {
        //首先入队的元素先放入stack1中
        stack1.push(node);
    }

    public int pop() {
        //当需要弹出栈顶元素的时候，先把stack1中的元素全部弹出到stack2中
        //这样，当stack1中没有元素的时候，直接从stack2中弹出栈顶元素即可
        if(stack2.size() &lt;= 0){
            while(stack1.size() &gt; 0){
                stack2.push(stack1.pop());
            }
        }

        //异常处理
        if(stack2.size() == 0){
            try {
                throw new Exception("empty queue");
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        return stack2.pop();
    }

    public static void main(String[] args) {
        CreateQueueWithStacks cq = new CreateQueueWithStacks();
        cq.push(1);
        cq.push(2);
        cq.push(3);

        System.out.println(cq.pop());
        System.out.println(cq.pop());
        System.out.println(cq.pop());

        cq.push(4);
        System.out.println(cq.pop());
    }
}
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 14:04:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>剑指offer系列之五：用两个栈实现队列的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40aAqz.html" rel="bookmark">剑指offer系列之五十一：正则表达式匹配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 请实现一个函数用来匹配包括'.'和'*'的正则表达式.模式中的字符'.'表示任意一个字符,而'*'表示它前面的字符可以出现任意次(包含0次). 在本题中,匹配是指字符串的所有字符匹配整个模式.例如,字符串&quot;aaa&quot;与模式&quot;a.a&quot;和&quot;ab*ac*a&quot;匹配,但是与&quot;aa.a&quot;和&quot;ab*a&quot;均不匹配 由于只涉及两种正则表达式的匹配,所以关键是需要分清除匹配的所有情况,对于模式串来讲,出现了'.'和'*			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKmPPz.html" rel="bookmark">剑指offer系列之五十三：字符流中第一个不重复的字符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 请实现一个函数用来找出字符流中第一个只出现一次的字符.例如,当从字符流中只读出前两个字符&quot;go&quot;时,第一个只出现一次的字符是&quot;g&quot;.当从该字符流中读出前六个字符&quot;google&quot;时,第一个只出现一次的字符是&quot;l&quot;. 输出描述: 如果当前字符流没有存在出现一次的字符,返回#字符. 这题与前面的第一个不重复的字符有些重复了,所以直接看代码(已被牛客AC): package com.rhwayfun.offer; impor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk78AOp.html" rel="bookmark">剑指offer系列之五十二：表示数值的字符串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 请实现一个函数用来判断字符串是否表示数值(包括整数和小数).例如,字符串&quot;+100&quot;,&quot;5e2&quot;,&quot;-123&quot;,&quot;3.1416&quot;和&quot;-1E-16&quot;都表示数值. 但是&quot;12e&quot;,&quot;1a3.14&quot;,&quot;1.2.3&quot;,&quot;+-5&quot;和&quot;12e+4.3&quot;都不是. 这题与前面吧字符串转为数值有些类似,但是这里是判断			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Jygob.html" rel="bookmark">剑指offer系列之五十：构建乘积数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 给定一个数组A[0,1,-,n-1],请构建一个数组B[0,1,-,n-1],其中B中的元素B[i]=A[0]A[1]-A[i-1]*A[i+1]-*A[n-1].不能使用除法. 在代码中已经给出了此题的解题思路,直接看代码(已被牛客AC): package com.rhwayfun.offer; public class ConstructMultipleArray { /** * 基本思路是把前半部分与后半部分的结果保存到不同的数组中 * @param A * @return */			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWNqjp.html" rel="bookmark">剑指offer系列之五十六：对称二叉树的判断</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 请实现一个函数,用来判断一颗二叉树是不是对称的.注意,如果一个二叉树同此二叉树的镜像是同样的,定义其为对称的. 前面有一题是打印输出某二叉树的镜像,回想其实现的思路是:采用层序遍历的思路对每一个遍历的节点,如果其有孩子节点,那么就交换两者.直到遍历的节点没有孩子节点为止,然而此题是对二叉树木镜像的判断,明显是更简单的,只需要进行两个判断:对节点的左孩子与其兄弟节点右孩子的判断以及对节点右孩子与其兄弟节点左孩子的判断.这样就完成对对一棵二叉树是否对称的判断.下面是具体的实现代码(已被牛客			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7eZoz.html" rel="bookmark">剑指offer系列之五十四：按之字形顺序打印二叉树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 请实现一个函数按照之字形打印二叉树,即第一行按照从左到右的顺序打印,第二层按照从右至左的顺序打印,第三行按照从左到右的顺序打印,其他行以此类推. 此题明显是层序遍历的思路.由于需要按照之字形打印每一层,相当于在打印每一行之前需要判断上一行打印的顺序.比如,如果上一行打印的顺序使从左到右,那么下一行的打印顺序应该是从右到左.实现的这点可以采用奇数行从左到右打印,偶数行从右到左进行打印.还可直接设置 一个布尔变量,每打印一行就改变一次该变量的值.其他的就是层序遍历的思路了.下面是我实现的代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M12LBdp.html" rel="bookmark">剑指offer系列之五十五：把二叉树打印成多行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 从上到下按层打印二叉树,同一层结点从左至右输出.每一层输出一行. 此题实际上与上面一题是重复了,总体还是层序遍历的思路,只不过现在不需要在打印每一行之前对打印顺序进行判断了,所以可以在前面一题的代码进行简单的修改就可以实现题目的要求了.不多说,直接看代码(已被牛客AC): package com.rhwayfun.offer; import java.util.ArrayList; import java.util.LinkedList; import java.util.Queue;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4eLW1b.html" rel="bookmark">剑指offer系列之五十九：链表中环的入口节点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 一个链表中包含环,请找出该链表的环的入口结点. 此题的思路其实 很简单,之所以出现环,是因为在整个链表中出现了重复的节点,而遇到的第一个重复的节点就是环的入口节点.所以可以使用Set来保存遍历到的节点,因为Set集合是不允许出现重复元素的,所以当一个节点被第二次添加的时候,往Set中放元素是失败的.所以可以利用这一点找出第一个重复的元素.基于这种思路的代码比较简洁,代码如下(已被牛客AC): import java.util.HashSet; import java.util.Set;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjodnNM.html" rel="bookmark">剑指offer系列之五十七：二叉树的下一个节点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 给定一个二叉树和其中的一个结点,请找出中序遍历顺序的下一个结点并且返回.注意,树中的结点不仅包含左右子结点,同时包含指向父结点的指针. 根据中序遍历的特点,要找到一个节点的下一个节点无非就是三种情况:1.有右子树,这时只需要把其右孩子作为下一个遍历的(并不是要找的)节点,然后沿着该节点的左子树(如果有的话)出发,直到遇到叶子节点,那么该叶子节点就是其下一个要找的节点:2.没有右子树,则判断该节点是否是其父节点的左孩子,如果是则其下一个要找的节点是其父节点:3.如果不是其父节点的左孩子,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5k07b.html" rel="bookmark" class="title">取消Windows XP系统磁盘容量警告</a>
					<div>
						window 再大的硬盘也有填满的一天,这时电脑就会提醒硬盘空间不足,这种警告有时候显得太烦人. 如果是Win98系统,只要在磁盘图标上单击右键,就可以看到取消选项.不过在WinXP里面,要修改系统注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKy86p.html" rel="bookmark" class="title">关于j2me game双缓冲实现探讨</a>
					<div>
						双缓冲技术的应用很广泛,设计游戏的时候更是需要它. 在midp1.0中,api中并没有game这个包,看到网上很多人在讨论设计游戏的时候会出现图片断裂,屏幕闪烁等问题. 我经过这几天的学习整理下自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1JZ7b.html" rel="bookmark" class="title">Windows8系统在局域网文件共享设置方法</a>
					<div>
						  在局域网中共享文件,我们需要开启网络发现和文件共享. 操作步骤: 1.选择需要共享的文件夹 右击&quot;属性&quot;; 2.选择&quot;共享&quot;; 3.点击&quot;共享&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGavrp.html" rel="bookmark" class="title">Win8应用安装失败怎么办</a>
					<div>
						  一.出现0x80073cf9错误 1.打开 Windows8应用商店,安装 Windows 8 应用的时候,如果出现&quot;未安装此应用 – 查看详细信息,出现了问题,此应用无法安装.请再试一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQG4Zz.html" rel="bookmark" class="title">jsp页面-JSP页面登陆，一个账号文本框不管用户输入的是手机&sol;邮箱都可以登陆</a>
					<div>
						问题描述 JSP页面登陆,一个账号文本框不管用户输入的是手机/邮箱都可以登陆 解决方案 select * from table where @userinput = (phone or @userin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l0vKb.html" rel="bookmark" class="title">静电为你解读SKETCH3&period;7版本新功能</a>
					<div>
						  Sketch3.7版本来啦,一起来跟静电熟悉下Sketch3.7版本的新功能,本次更新的一大亮点就是全新的元件功能了,也是Sketch这次大版本的主要特色.不多说,直接看总结! 创新的元件功能 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z6ayM.html" rel="bookmark" class="title">《抓住听众心理&mdash;&mdash;演讲者要知道的100件事》一第 1 章　人们是怎样思考和学习的</a>
					<div>
						第 1 章 人们是怎样思考和学习的 抓住听众心理--演讲者要知道的100件事 &quot;我从来没有'教导'过我的学生:我只是尝试提供一些他们可以用来学习的东西.&quot; --阿尔伯特·爱因斯坦( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1DwOz.html" rel="bookmark" class="title">&lbrack;译&rsqb; 学习 JavaScript：9 个常见错误阻碍你进步</a>
					<div>
						本文讲的是[译] 学习 JavaScript:9 个常见错误阻碍你进步, 原文地址:Learning JavaScript: 9 Common Mistakes That Are Holding Yo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWljyGp.html" rel="bookmark" class="title">图片-C语言简单的全局变量定义问题</a>
					<div>
						问题描述 C语言简单的全局变量定义问题 请问为什么我在函数外面定义了全局变量,变量的值没有改变? 解决方案 你这个问题是因为你在add这个函数里定义了一个形参x,与全局变量x冲突,所以编译器自动屏蔽全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Nv9z.html" rel="bookmark" class="title">websphere中dwr报Failed to read input</a>
					<div>
						问题描述 我在tomcat中没有出现这个问题,在websphere中表单提交查询的页面除第一个页面外其他都会报failedtoreadinput.很多地方都说过滤dwr包中的alert..但是没有解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEyQQM.html" rel="bookmark" class="title">再问空城：中国城市化的教训</a>
					<div>
						中国城市化猛踩油门时,那些拔苗助长的教训或未被充分认识 文 张育群 对于深信中国房地产泡沫正在发酵的人来说,环京津地区几近无人区的超级大盘无疑是个绝佳例证-&lt;环球企业家&gt;2010年7月5日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0a9BM.html" rel="bookmark" class="title">sql server-winfrom如何使用数据库，求完整代码</a>
					<div>
						问题描述 winfrom如何使用数据库,求完整代码 我想在窗体中调用数据库,可我忘记代码了,百度也没找到合适的,所以我想求完整代码.不要求三层架构 如何在winfrom里调用sql server数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB19kz.html" rel="bookmark" class="title">打开供应链暗盒</a>
					<div>
						打开供应链暗盒 有一批重要的药品即将被送往美国西海岸,如何确保这批药品的安全?一家医药公司的供应链总监显得有些束手无策.大型的物流公司通常采用实时监测的方式,这种方式只能向企业随时报告货物停留在哪个港 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ75qp.html" rel="bookmark" class="title">ES java api</a>
					<div>
						2.0之后ES的java api用法有了很大变化.在此记录一些. java应用程序连接ES集群,笔者使用的是TransportClient,获取TransportClient的代码设计为单例模式(见g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXAaVb.html" rel="bookmark" class="title">Hive实践</a>
					<div>
						准备 wget http://mirror.bit.edu.cn/apahce/hive/hive-0.11.0/hive-0.11.0-bin.tar.gz tar -zxvf hive-0.11. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEJe1z.html" rel="bookmark" class="title">教你如何将 Sublime 3 打造成 Python&sol;Django IDE开发利器&lowbar;python</a>
					<div>
						1. 安装 Sublime Text 3 虽然现在的 Sublime 3 还处于 beta 阶段, 但已经非常稳定了, 而且速度比 Sublime 2 得到了增强. Sublime 3 可以到官网下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nv1ap.html" rel="bookmark" class="title">PHP面向对象的进阶学习&lpar;抽像类、接口、final、类常量&rpar;&lowbar;php技巧</a>
					<div>
						一.抽像类(abstract) 在我们实际开发过程中,有些类并不需要被实例化,如前面学习到的一些父类,主要是让子类来继承,这样可以提高代码复用性 语法结构: 复制代码 代码如下: abstract c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWQjRz.html" rel="bookmark" class="title">Java应用频繁FullGC分析</a>
					<div>
						一.JVM的内存分布 1.1 JVM内存分布概况 堆内存划分为: Eden.Survivor 和 Tenured/Old 空间 1.2 Minor GC.Major GC.Full GC 1.3 JV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YZqmp.html" rel="bookmark" class="title">谈一谈自己这几年域名投资的经验</a>
					<div>
						域名,就是网站的网址,域名的目的是让别人能够访问到一个网站.域名在网络上简称为&quot;玉米&quot;. 我们拿现实中的超市来进行举例,那么域名就是这个超市的具体位置,在XX路XX号上,域名的概念 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWx5ZM.html" rel="bookmark" class="title">粉丝笑醒，HBO 哭死：黑客威胁泄露《权力的游戏》大结局（内附真假大结局）</a>
					<div>
						8 月 21日,外媒报道称,跟 HBO 死扛到底的黑客威胁要泄露&lt;权力的游戏&gt;第七季第七集,也就是第七季大结局.黑客还特别&quot;贴心&quot;地温馨提示:亲,千万不要随便看网页哦, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJgxAM.html" rel="bookmark" class="title">ITEYE为什么要更改首页呢？大家说说自从改完首页你还上频繁登录ITEYE吗？</a>
					<div>
						问题描述 ITEYE为什么要更改首页呢?大家说说自从改完首页你还上频繁登录ITEYE吗? 解决方案 为什么改,我不知道.我猜测可能是要变化,要引入时尚,可是方法太烂了根本也不时尚,我都认为是在侮辱大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdm7nM.html" rel="bookmark" class="title">Go语言中的流程控制结构和函数详解&lowbar;Golang</a>
					<div>
						这小节我们要介绍Go里面的流程控制以及函数操作. 流程控制 流程控制在编程语言中是最伟大的发明了,因为有了它,你可以通过很简单的流程描述来表达很复杂的逻辑.Go中流程控制分三大类:条件判断,循环控制和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqgmm2z.html" rel="bookmark" class="title">经济飞涨，信任打折</a>
					<div>
						摘要: 在短短 40 分钟后,Cindy Manit 就会根据手机里的 app 指引, 驱车至旧金山南部的街区,接送一位褐色头发的女人去机场.Manit 不是出租车司机,但搭过她顺风车的乘客已经超过百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJO4ZM.html" rel="bookmark" class="title">批处理文件简介与编写第1&sol;2页&lowbar;DOS&sol;BAT</a>
					<div>
						如果没有一定的相关知识恐怕不容易看懂和理解批处理文件,也就更谈不上自己动手编写了 批处理文件是无格式的文本文件,它包含一条或多条命令.它的文件扩展名为 .bat 或 .cmd.在命令提示下键入批处理文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWABlM.html" rel="bookmark" class="title">多对多关系多表连接查询，同一个字段同时满足多个条件</a>
					<div>
						问题描述 分类表t_keytype商品表t_product分类商品关联表t_typeproducttid(分类ID)name(分类名称)pid(商品ID)name(商品名称)idpid(商品ID)ti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Y1vAp.html" rel="bookmark" class="title">以行践言华为终端邀在校生同赴山区捐书助学</a>
					<div>
						[赛迪网讯]9月6日消息,近日,华为终端在人人网策划推出的&quot;梦想合伙人&quot;专题活动,在大学生群体中掀起了巨大波澜.该活动不仅得到全国各地包括港澳台大学生的广泛参与,甚至还接到韩国.美 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqglRRz.html" rel="bookmark" class="title">新浪微博广告形式全攻略</a>
					<div>
						文/文静 直到本月中旬,新浪微博才终于可以稍稍舒口气.上线三年,新浪微博的商业化道路一直被业内人士猜测质疑.如今开了个不错的头,总算给所有关注它的人吃了颗定心丸. 根据新浪本月发布的2012第二季度财 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNdmlb.html" rel="bookmark" class="title">关于jquery加载顺序及输出结果的问题</a>
					<div>
						问题描述 &lt;script type=&quot;text/javascript&quot; src=&quot;jquery-1.6.js&quot;&gt;&lt;/script&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBGdYKM.html" rel="bookmark" class="title">情人节催生电商行业销售的新变化</a>
					<div>
						农历春节的年味还未散尽,情人节带来的甜蜜味道就早早充满了整个空气.据相关调查问卷显示,50%的受访者表示&quot;会和另一半过情人节&quot;,51.72%的受访者表示&quot;会为情侣精心准备 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3EBDgp.html" rel="bookmark" class="title">如何获取exchange的用户邮件地址？</a>
					<div>
						问题描述 我在做小模块,想获得exchange里的邮件地址,不知道有没有人知道如何解决? 解决方案 解决方案二:关注中顶解决方案三:没时间答呀??解决方案四:顶一下解决方案五:该回复于2007-12- ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
